Subject: Re: setup.exe crashes upgrading (uninstalling) bash
From: "Robert Jason Meerman" <[email-masked]>
To: [email-masked]
Cc: "Mario Frasca" <[email-masked]>
Date: Mon, 21 Jan 2008 17:49:16 +0000
List-Id: <cygwin.cygwin.com>

> On 2007-0820 06:07:47, Eric Blake wrote:
> > According to wei on 8/19/2007 3:09 PM:
> > > It's a popup box from setup.exe. I also attached the cygcheck.out in the
> > > email
> >
> > And what did the popup say?  Nothing in your cygcheck output
> > is jumping out at me as unusual, but without knowing what the
> > crash said, I don't know the full picture.
>
> the original thread is a bit aged, this is why I'm starting a new one...
>
> the same problem was reported on 19th Aug by Xie Wei...
>
> he didn't solve the problem, he just reinstalled all of cygwin from scratch.
> this isn't really an option for me (or at least I want to be sure that I don't
> loose my users' data and the list of installed packages).
> I can debug here, if I have an executable with debug info.

I also had this problem, but I managed to solve it and wanted to share
my solution with the mailing list.

C:\cygwin\etc\setup\bash.lst.gz   was corrupt, opening it in WinRAR
and trying to view the file inside it resulted in an error about
"Unexpected end of file". I deleted this file, ran setup.exe and just
kept hitting "Next". Bash upgraded fine and setup exited normally.

HTH,
RobM

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/